Adobe ExtendScript Toolkit

ExtendScript ToolKit

# UsingFlashPlayer Class Reference

#### Usage

1. Run the snippet in the ExtendScript Toolkit (see Readme.txt).
2. You should see a dialog window showing a Flash movie.
3. Press the 'Stop' button to stop the movie
4. Press the 'Start' button to continue the movie

#### Description

Creates a dialog window that plays a Flash movie.

The dialog contains ScriptUI components, including control buttons and a FlashPlayer element.

Loads the Flash movie, an SWF file, into the FlashPlayer component using control's loadMovie() function. The 'file' parameter must be a valid ExtendScript File object that references any type of Flash file.

Start and stop buttons in the palette control playback using the FlashPlayer control's stopMovie() and 'playMovie() methods. Stop pauses the move, and Start restarts it from the point at which it paused.

See the JavaScript Tools Guide for details of when you can call the stopMovie() and playMove() functions.

List of all members.

## Public Member Functions

void | UsingFlashPlayer ()
Boolean | run ()
| Functional part of this snippet.
Boolean | canRun ()
| Determines whether snippet can be run given current context.

## Public Attributes

File | flashFile
| The Flash movie to load into the dialog window.
String | requiredContext
| The context in which this snippet can run.
int | paletteRef

## Constructor & Destructor Documentation

void UsingFlashPlayer::UsingFlashPlayer | ( |  | ) |

## Member Function Documentation

Boolean UsingFlashPlayer::run | ( |  | ) |

Functional part of this snippet.

Creates a dialog window and adds the ScriptUI components to it. Creates event handlers for the buttons that control the playback.

Returns:
  True if the snippet ran as expected, false otherwise

Boolean UsingFlashPlayer::canRun | ( |  | ) |

Determines whether snippet can be run given current context.

The snippet fails if these preconditions are not met:

- The SWF file must exist in the file system.

Returns:
  True is this snippet can run, false otherwise

## Member Data Documentation

File UsingFlashPlayer::flashFile

The Flash movie to load into the dialog window.

String UsingFlashPlayer::requiredContext

The context in which this snippet can run.

int UsingFlashPlayer::paletteRef

The documentation for this class was generated from the following file:

- UsingFlashPlayer.jsx

Copyright© 2008 Adobe Systems Incorporated. All rights reserved.

Terms of Use Online Privacy Policy Adobe and accessibility Avoid software piracy Permissions and Trademarks